﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Diagnostics;
using Newtonsoft.Json.Linq;
using Listener.Models;
using Listener.Services;
using System.Threading.Tasks;
using System.Net.Http;
using System.Net.Http.Headers;
using System.IO;
using System.Threading;

namespace Listener.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Listener()
        {

            // Get the received request's headers
            var requestheaders = HttpContext.Request.Headers;

            // Get the received request's body
            var requestBody = string.Empty;
            using (var reader = new System.IO.StreamReader(HttpContext.Request.InputStream))
            {
                requestBody = reader.ReadToEnd();
            }

            JObject jsonBody = JObject.Parse(requestBody);

            //Do anything you want with the json payload from esignlive
            Debug.WriteLine(jsonBody);

            string packageId = jsonBody["packageId"].ToString();

            Services.DownloadDocuments.download(packageId);

            return new HttpStatusCodeResult(200);
        }
    }
}